@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
*{
    padding:0;
    margin:0;
    box-sizing:border-box;
    border:none;
    outline:none;
    scroll-behavior:smooth;
    text-decoration:none;
    font-family: "Poppins", sans-serif;
    font-weight: 100;
    font-style: normal;
    color:var(--text-color);
    transition:0.5s;
}
:root{
    --bg-color:#1f242d;
    --bg-second-color:#323946;
    --text-color:#fff;
    --main-color:#0ef;
}
html{
    font-size:62.5%;
    overflow-x:hidden;
}
body{
    background-color:var(--bg-color);
    color:var(--text-color);
}
.header{
    position:fixed;
    top:0;
    left:0;
    padding:2rem 9%;
    width:100%;
    background-color:var(--bg-color);
    display:flex;
    justify-content:space-between;
    align-items:center;
    z-index:100;
}
.header.sticky{
    border-bottom:3px solid rgba(60, 76, 110, 0.2);
}
.logo{
    font-size:2.5rem;
    color:var(--text-color);
    font-weight:600;
    cursor:default;
}
.navbar a{
    font-size:1.7rem;
    color:var(--text-color);
    font-weight:500;
    margin-left:16px;
}
.navbar a:hover,
.navbar a.active{
    color:var(--main-color);
}
.navbar.active{
    display:block;
}
#menu-icon{
    font-size:2rem;
    font-weight:600;
    color:var(--text-color);
    cursor:pointer;
    display:none;
}
section{
    min-height:100vh;
    padding:10rem 9% 2rem;
}
.Home{
    display:flex;
    justify-content:center;
    align-items:center;
    gap:2rem;
}
.home-content{
    margin-right:1rem;
}
.Home h3{
    font-size:3.2rem;
    font-weight:600;
}
.Home h1{
    font-size:5.1rem;
    font-weight:700;
    line-height:1.4;
}
.Home p{
    font-size:1.6rem;
    line-height:1.4;
    font-weight:400;
}
.social-media a i{
    display:inline-flex;
    justify-content:center;
    align-items:center;
    width:4rem;
    height:4rem;
    background:transparent;
    border:.2rem solid var(--main-color);
    border-radius:50%;
    font-size:2rem;
    margin:3rem 1.5rem  3rem 0;
    color:var(--main-color);
    transition:0.5s;
}
.Home-img{
    filter:drop-shadow(0 0 1rem var(--main-color));
}
.Home-img img{
background:var(--main-color);
object-fit:content;
clip-path: polygon(25% 0%, 75% 0%, 100% 50%, 75% 100%, 25% 100%, 0% 50%);
width:400px;
padding:1rem 5rem .1rem 5rem;
}
.social-media a i:hover{
    color:var(--bg-second-color);
    background:var(--main-color);
    box-shadow:0 0 1rem var(--main-color);
}
.Home-content h3:nth-of-type(2){
    margin-bottom:2rem;
}
span{
    color:var(--main-color);
    font-size:3.2rem;
    font-weight:600;
}
.btn{
    display:inline-block;
    background:var(--main-color);
    padding:1rem 2.8rem;
    border-radius:4rem;
    box-shadow:0 0 1rem var(--main-color);
    color:var(--text-color);
    font-weight:700;
    font-size:1.6rem;
    transition:0.5s;
}
.btn:hover{
    box-shadow:none;
}
/*  ========================================about style.css------------------------------*/
.About{
    display:flex;
    align-items:center;
    justify-content:center;
    margin-left:1rem;
    margin-right:1rem;

}
.About-img{
    filter:drop-shadow(0 0 1rem var(--main-color));
}
.About-img img{
background:var(--main-color);
object-fit:content;
clip-path: polygon(25% 0%, 75% 0%, 100% 50%, 75% 100%, 25% 100%, 0% 50%);
width:450px;
height:400px;
padding:1rem 2rem .1rem 5rem;
}
.About-content{
    padding:1rem 4rem;
}
.About-content h1,
.About-content h1 span{
    font-size:5.3rem;
    font-weight:600;
    font-weight:40px;
}
.About-content h3{
    font-size:2.4rem;
    font-weight:600;
    line-height:1.4;
    margin-bottom:3rem;
}
.About-content p{
    line-height:1.4;
    font-size:1.4rem;
    font-weight:500;
    margin-bottom:15px;
    color:#b8b5b5;
}
.heading,
.heading span{
    font-size:5rem;
    font-weight:600;
    text-align:center;
    margin-bottom:1.2rem;
}
.services-content{
    display:flex;
    align-items:center;
    flex-wrap:wrap;
    margin:2rem 1rem;
}
.services-content .services-box{
    flex:1 1 30rem;
    background:var(--bg-second-color);
    border-radius:2rem;
    padding:3rem 2rem 4rem;
    text-align:center;
    border:.2rem solid var(--bg-color);
    margin-left:1rem;
    margin-right:1rem;
    transition:0.5s;
}
.services-box:hover{
    border-color:var(--main-color);
    transform:scale(1.03)
}
.services-box h2{
    font-size:2.4rem;
    font-weight:600;
}
.services-box i{
    font-size:5rem;
    color:var(--main-color);
    font-weight:700;
    margin-bottom:1rem;
}
.services-box p{
    font-size:1.4rem;
    color:var(--text-color);
    font-weight:300;
    margin-top:1rem;
    margin-bottom:1rem;
    margin-left:12px;
    margin-right:1rem;
}
/*==================================================Protflio Project --------------------------------------*/
.protfolio-content{
    display:flex;
    align-items:center;
    flex-wrap:wrap;
    margin-left:1rem;
    margin-right:1rem;
}
.protfolio-box{
    position:relative;
    flex:1 1 30rem;
    margin-left:12px;
    margin-right:13px;
    display:flex;
    overflow:hidden;
    border-radius:2rem;
    box-shadow:0 0 1rem var(--bg-color);
    height:250px;
}
.protfolio-box img{
    width:100%;
    transition:0.5s linear;
}
.protfolio-box:hover img{
    transform:scale(1.1)
}
.protfolio-box .prtfolio-layer{
    position:absolute;
    bottom:0;
    left:0;
    width:100%;
    height:100%;
    display:flex;
    justify-content:center;
    align-items:center;
    flex-direction:column;
    text-align:center;
    padding:1rem 4rem;
    background:linear-gradient(rgba(0,0,0,0.1),var(--main-color));
    flex:1;
    transform:translateY(100%);
    transition:0.5s linear ;
}
.protfolio-box:hover .prtfolio-layer{
    transform:translateY(0)
}
.prtfolio-layer h4{
    font-size:3rem;
    font-weight:600;
}
.prtfolio-layer p{
    font-size:1.4rem;
    color:#1f242d;
    font-weight:600;
}
.prtfolio-layer i{
    width:50px;
    height:50px;
    border-radius:50%;
    background-color:var(--text-color);
    color:var(--bg-color);
    font-size:2rem;
    display:inline-flex;
    align-items:center;
    justify-content:center;
    margin-top:2rem;
}
/*------------------------ contact Me ----------------------------------------*/
.contact{
    max-width:70rem;
    margin:1rem auto;
    margin-bottom:3rem;
    text-align:center;
}
.contact form .input-box{
    display:flex;
    justify-content:space-between;
    align-items: center;
    flex-wrap:wrap;
}
.contact form .input-box input,
.contact form textarea
{
    width:100%;
    padding:1.5rem;
    font-size:1.6rem;
    color:var(--text-color);
    background:var(--bg-second-color);
    border-radius:.8rem;
    margin:.7rem 0;

} 
.contact form .input-box input{
    width:48%;
}

.contact form .input-box input::placeholder{
   font-size:1.6rem;
   color:white;
}
.contact textarea{
    resize:none;
}
.contact .btn{
   margin-top:1rem;
   cursor:pointer;
}
.footer{
    display:flex;
    align-items:center;
    justify-content:space-between;
    flex-wrap:wrap;
    padding:2rem 9%;
    background-color: var(--bg-second-color);
}
.footer-text p{
    font-size:2rem;
    font-weight:600;
}
.footer-iconTop{
    background-color: var(--main-color);
    color:var(--text-color);
    padding:1rem;
    font-size:2rem;
    font-weight:600;
    border-radius:50%;
}
/*  ======================= Media qureies     =========================      */
@media(max-width:1200px){
    html{
        font-size:55%
    }
}
@media(max-width:991px ){
    .header{
        padding:2rem 3%;
    }
    section{
        padding:.1em 3% 2rem;
    }
    footer{
        padding:2rem 3%;
    }
}
@media(max-width:768px){
    #menu-icon{
        display:block;
    }
    .navbar{
        position:absolute;
        top:100%;
        left:0;
        width:100%;
        padding:1rem 3%;
        background:var(--bg-color);
        border-top:.1rem solid rgba(0,0,0,0.2);
        box-shadow:0 .5rem 1rem rgba(0,0,0,0.2);
        display:none;
        transition:0.5s linear;
    }
  
    .navbar a{
        display:block;
        font-size:2rem;
        padding-top:1rem;
    }
    .Home{
        flex-direction:column;
    }
    .Home-content h3{
        font-size:2.1rem;
    }
    .Home-content h1{
        font-size:5rem;
    }
    .Home-img img{
        width:50vw;
    }
    .About{
        flex-direction:column;
    }
    .services .services-box{
        margin:10px 12px 10px 12px;
    }


    .protfolio .protfolio-box{
        margin:10px 12px 10px 12px;
    }
}